gi-atk-2.0.27: Atk bindings

Copyright | Will Thompson and Iñaki García Etxebarria
License | LGPL-2.1
Maintainer | Iñaki García Etxebarria
Safe Haskell | Safe-Inferred
Language | Haskell2010

GI.Atk.Objects.Util

Contents

- Exported types
- Methods

Description

A set of ATK utility functions for event and toolkit support.

A set of ATK utility functions which are used to support event registration of various types, and obtaining the 'root' accessible of a process and information about the current ATK implementation and toolkit version.

Synopsis

- newtype Util = Util (ManagedPtr Util)
- class (GObject o, IsDescendantOf Util o) => IsUtil o
- toUtil :: (MonadIO m, IsUtil o) => o -> m Util

# Exported types

newtype Util Source #

Memory-managed wrapper type.

Constructors

Util (ManagedPtr Util) |

#### Instances

Instances details

Eq Util Source # |
Instance details Defined in GI.Atk.Objects.Util Methods (==) :: Util -> Util -> Bool Source # (/=) :: Util -> Util -> Bool Source #
GObject Util Source # |
Instance details Defined in GI.Atk.Objects.Util
ManagedPtrNewtype Util Source # |
Instance details Defined in GI.Atk.Objects.Util Methods toManagedPtr :: Util -> ManagedPtr Util Source #
TypedObject Util Source # |
Instance details Defined in GI.Atk.Objects.Util Methods glibType :: IO GType Source #
HasParentTypes Util Source # |
Instance details Defined in GI.Atk.Objects.Util
IsGValue (Maybe Util) Source # | Convert `Util` to and from `GValue`. See `toGValue` and `fromGValue`.
Instance details Defined in GI.Atk.Objects.Util Methods gvalueGType_ :: IO GType Source # gvalueSet_ :: Ptr GValue -> Maybe Util -> IO () Source # gvalueGet_ :: Ptr GValue -> IO (Maybe Util) Source #
type ParentTypes Util Source # |
Instance details Defined in GI.Atk.Objects.Util type ParentTypes Util = '[Object]

class (GObject o, IsDescendantOf Util o) => IsUtil o Source #

Type class for types which can be safely cast to `Util`, for instance with `toUtil`.

#### Instances

Instances details

(GObject o, IsDescendantOf Util o) => IsUtil o Source # |
Instance details Defined in GI.Atk.Objects.Util

toUtil :: (MonadIO m, IsUtil o) => o -> m Util Source #

Cast to `Util`, for types for which this is known to be safe. For general casts, use `castTo`.

# Methods

### Click to display all available methods, including inherited ones

Expand

#### Methods

bindProperty, bindPropertyFull, forceFloating, freezeNotify, getv, isFloating, notify, notifyByPspec, ref, refSink, runDispose, stealData, stealQdata, thawNotify, unref, watchClosure.

#### Getters

getData, getProperty, getQdata.

#### Setters

setData, setDataFull, setProperty.